Bug 1255982 - sshd[]: Received disconnect from 10.16.80.10: com.jcraft.jsch.JSchException [NEEDINFO]
sshd[]: Received disconnect from 10.16.80.10: com.jcraft.jsch.JSchException
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: jsch (Show other bugs)
6.5
x86_64 Linux
high Severity medium
: rc
: ---
Assigned To: Patrick Macdonald
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-22 17:09 EDT by jcastran
Modified: 2015-09-23 15:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-23 15:06:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwright: needinfo? (patrickm)


Attachments (Terms of Use)
SFTP Server Installed RPMs - Package Versions (53.96 KB, text/plain)
2015-08-24 14:53 EDT, jcastran
no flags Details
Client Installed RPMs (85.08 KB, text/plain)
2015-09-17 05:34 EDT, jcastran
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 1374 None None None Never

  None (edit)
Description jcastran 2015-08-22 17:09:22 EDT
Description of problem:
   While connected to server with sftp, client receives ssh session disconnect with message "com.jcraft.jsch.JSchException: verify: false". After reconnecting the session there is no further issue.

Error received during sftp connection
~~~
   [2015-08-19 09:13:41,943 | ERROR | DWCUstomerOrder(Processing_Thread)_5 |  | IF - Listener] SFTPConnector.getSession() - LIF Code : CONNECT_ERROR - 6
   [2015-08-19 09:13:41,943 | ERROR | DWCUstomerOrder(Processing_Thread)_5 |  | IF - Listener] Exception while working with completed file: Order_Export_2015-08-19_09-13-06-1607-AM_8_DT0000414491_3557218_5929713342853093.xml
   com.jcraft.jsch.JSchException: verify: false
                at com.jcraft.jsch.Session.connect(Session.java:307)
~~~

Also seen in '/var/log/secure' at the same time
~~~
   Aug 19 09:13:41 casftp1 sshd[28752]: Received disconnect from 10.16.80.168: 3: com.jcraft.jsch.JSchException: verify: false
   Aug 19 09:34:12 casftp1 sshd[32703]: Received disconnect from 10.16.80.168: 3: com.jcraft.jsch.JSchException: verify: false
~~~

Version-Release number of selected component (if applicable):
Rhel 6.5

Occurence:
   Random and intermittent

Additional info:
   This issue was seen previously and addressed by http://sourceforge.net/p/jsch/bugs/58/
Comment 2 jcastran 2015-08-24 14:53:03 EDT
Created attachment 1066601 [details]
SFTP Server Installed RPMs - Package Versions
Comment 4 jcastran 2015-09-17 05:34:42 EDT
Created attachment 1074377 [details]
Client Installed RPMs

Note You need to log in before you can comment on or make changes to this bug.